<?php

function sadiq_setup(){
	add_theme_support('title-tag');
	add_theme_support('post-thumbnails');
	register_nav_menus(array(
    'main'=> 'منو اصلی',

	));

}

add_action('after_setup_theme', 'sadiq_setup');
?>

<?php

function create_slider() {
  register_post_type( 'slider',
    array(
      'labels' => array(
        'name' => __( 'اسلایدر' ),
        'singular_name' => __( 'اسلایدر' )
      ),
      'public' => true,
      'supports'=> array('title','thumbnail','editor','excerpt'),
     
    )
  );
}
add_action( 'init', 'create_slider' );
?>
<?php

function create_portfolio() {
  register_post_type( 'portfolio',
    array(
      'labels' => array(
        'name' => __( 'نمونه کارها' ),
        'singular_name' => __( 'نمونه کارها' )
      ),
      'public' => true,
      
    )
  );
}
add_action( 'init', 'create_portfolio' );

?>

?>



<?php 
function sadiq_scripts_style() {
    
    wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/style.bootstrap.css' );
    wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/style.fontawesome.css' );
    wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/style.animate.css' );
    wp_enqueue_style( 'style', get_stylesheet_uri() );
    wp_enqueue_script( 'jquery', get_template_directory_uri() . '/js/jquery.js', array(), '1.0.0', true );
    wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/js/jquery.bootstrap.js', array(), '1.0.0', true );
    wp_enqueue_script( 'wow', get_template_directory_uri() . '/js/jquery.wow.js', array(), '1.0.0', true );
    wp_enqueue_script( 'index', get_template_directory_uri() . '/js/jquery.index.js', array(), '1.0.0', true );
}
add_action( 'wp_enqueue_scripts', 'sadiq_scripts_style' );

require_once dirname( __FILE__ ) . '/cmb2/init.php';
require_once dirname( __FILE__ ) . '/functions/cmb2-functions.php';


?>